# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_instr::DrawSad Class Reference

Class to carry out overlay of SAD block values.

`#include <sad.h>`

Inheritance diagram for dirac_instr::DrawSad:

[legend]
Collaboration diagram for dirac_instr::DrawSad:

[legend]

List of all members.

## Public Member Functions

- DrawSad (Frame &, DrawFrameMotionParams &, const TwoDArray< MvCostData > &, const TwoDArray< PredMode > &, int)
    Constructor.
- ~DrawSad ()
    Destructor.
- void DrawBlock (int, int)
    Colours a single motion vector block.
- void DrawLegend ()
    Draws power bar legend.

## Private Attributes

- int m_scale
    Maximum SAD value represented.
- const TwoDArray< MvCostData > & m_cost
    Cost array of blocks for chosen reference.
- const TwoDArray< PredMode > & m_mode

## Constructor & Destructor Documentation

dirac_instr::DrawSad::DrawSad | ( | Frame & | ,
|  | DrawFrameMotionParams & | ,
|  | const TwoDArray< MvCostData > & | ,
|  | const TwoDArray< PredMode > & | ,
|  | int |  |
| ) |  |  |

dirac_instr::DrawSad::~DrawSad | ( |  | ) |

## Member Function Documentation

void dirac_instr::DrawSad::DrawBlock | ( | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Implements dirac_instr::DrawOverlay.

void dirac_instr::DrawSad::DrawLegend | ( |  | ) | `[virtual]`

Implements dirac_instr::DrawOverlay.

## Member Data Documentation

int dirac_instr::DrawSad::m_scale `[private]`

const TwoDArray<MvCostData>& dirac_instr::DrawSad::m_cost `[private]`

const TwoDArray<PredMode>& dirac_instr::DrawSad::m_mode `[private]`

The documentation for this class was generated from the following file:

- sad.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.